# Cinder

# cinder::params::InterfaceGl Class Reference

`#include <Params.h>`

List of all members.

## Public Member Functions
| InterfaceGl ()
| InterfaceGl (const std::string &title, const Vec2i &size, const ColorA=ColorA(0.3f, 0.3f, 0.3f, 0.4f))
void | addParam (const std::string &name, bool *boolParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, float *floatParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, int32_t *intParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, Vec3f *vectorParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, Quatf *quatParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, Color *quatParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, ColorA *quatParam, const std::string &optionsStr="", bool readOnly=false)
void | addParam (const std::string &name, std::string *strParam, const std::string &optionsStr="", bool readOnly=false)
void | addSeparator (const std::string &name="", const std::string &optionsStr="")
## Static Public Member Functions
static void | draw ()
## Protected Member Functions
void | implAddParam (const std::string &name, void *param, int type, const std::string &optionsStr, bool readOnly)
## Protected Attributes
shared_ptr< TwBar > | mBar

## Constructor & Destructor Documentation

cinder::params::InterfaceGl::InterfaceGl | ( |  | ) |

cinder::params::InterfaceGl::InterfaceGl | ( | const std::string & | title,
|  | const Vec2i & | size,
|  | const ColorA | color = `ColorA( 0.3f, 0.3f, 0.3f, 0.4f )` |
| ) |  |  |

## Member Function Documentation

void cinder::params::InterfaceGl::draw | ( |  | ) | `[static]`

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | bool * | boolParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | float * | floatParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | int32_t * | intParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | Vec3f * | vectorParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | Quatf * | quatParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | Color * | quatParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | ColorA * | quatParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addParam | ( | const std::string & | name,
|  | std::string * | strParam,
|  | const std::string & | optionsStr = `""`,
|  | bool | readOnly = `false` |
| ) |  |  |

void cinder::params::InterfaceGl::addSeparator | ( | const std::string & | name = `""`,
|  | const std::string & | optionsStr = `""` |
| ) |  |  |

void cinder::params::InterfaceGl::implAddParam | ( | const std::string & | name,
|  | void * | param,
|  | int | type,
|  | const std::string & | optionsStr,
|  | bool | readOnly |
| ) |  |  | `[protected]`

## Member Data Documentation

shared_ptr<TwBar> cinder::params::InterfaceGl::mBar`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/params/Params.h
- src/cinder/params/Params.cpp